// pages/lishi/lishi.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:0,
    pageCount:0,
    list:[],
    play:false,
    playUrl:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getList();
  },
  getList(){
    var that = this;
    var config = wx.getStorageSync('config');
    wx.showLoading({
      title: '加载中',
    })
    wx.request({
      url: app.url + 'ajax_get_user_media_history.php',
      data: {
        unionId: config.unionId,
        page: that.data.page
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.data.status == 'OK') {
          that.setData({
            list: that.data.list.concat(res.data.result.list),
            pageCount: res.data.result.pageCount
          })
        }
      },
      fail: function (res) { },
      complete: function (res) {
        wx.hideLoading();
       },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    var that = this;
    if(that.data.page==that.data.pageCount)
      return;
      that.setData({
        page:that.data.page+1
      },()=>{
        that.getList();
      })
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  classDetails(e) {
    var src = e.currentTarget.dataset.src;
    var that=this;
    that.setData({
      play:true,
      playUrl:src
    })
  },
  closeVideo(){
    this.setData({
      play:false
    })
  }
})